# Workflows Workflows ## Creates a new workflow record that does not already exist. - [POST /workflows/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/createworkflow.md): This method will auto-generate an ID and create a new workflow. If an ID is specified for the workflow, an error will be thrown. ## Execute Batch Operations - [POST /workflows/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a workflow from the system by its ID. - [DELETE /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/deleteworkflow.md): This method will delete a workflow with the specified ID. ## Returns a workflow from the system by its ID. - [GET /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/getworkflow.md): This method will look up a workflow by the specified ID and return it back. ## Partially updates a workflow with the specified ID. - [PATCH /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/patchworkflow.md): This method will patch an existing workflow with the specified ID, using the HTTP PATCH specification. ## Updates a workflow with the specified ID. - [PUT /workflows/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/workflows/updateworkflow.md): This method will update an existing workflow with the specified ID.